CollectionPropertyHolder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class CollectionPropertyHolder

    java.lang.Object
      org.hibernate.cfg.AbstractPropertyHolder
          org.hibernate.cfg.CollectionPropertyHolder

All Implemented Interfaces:
  PropertyHolder

    public class CollectionPropertyHolder

extends AbstractPropertyHolder

Field Summary

Fields inherited from class org.hibernate.cfg.AbstractPropertyHolder
`parent`

Constructor Summary
`CollectionPropertyHolder(Collection collection, String path, org.hibernate.annotations.common.reflection.XClass clazzToProcess, org.hibernate.annotations.common.reflection.XProperty property, PropertyHolder parentPropertyHolder, Mappings mappings)`

Method Summary
`Join` | `addJoin(JoinTable joinTableAnn, boolean noDelayInPkColumnCreation)`
`void` | `addProperty(Property prop, Ejb3Column[] columns, org.hibernate.annotations.common.reflection.XClass declaringClass)`
`void` | `addProperty(Property prop, org.hibernate.annotations.common.reflection.XClass declaringClass)`
`String` | `getClassName()`
`String` | `getEntityName()`
`String` | `getEntityOwnerClassName()`
`KeyValue` | `getIdentifier()`
`PersistentClass` | `getPersistentClass()`
`Table` | `getTable()`
`boolean` | `isComponent()`
`boolean` | `isEntity()`
`boolean` | `isOrWithinEmbeddedId()` Return true if this component is or is embedded in a @EmbeddedId

Methods inherited from class org.hibernate.cfg.AbstractPropertyHolder
`getJoinTable, getMappings, getOverriddenColumn, getOverriddenJoinColumn, getOverriddenJoinTable, getPath, isInIdClass, setCurrentProperty, setInIdClass, setParentProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionPropertyHolder

    public CollectionPropertyHolder(Collection collection,
                                    String path,
                                    org.hibernate.annotations.common.reflection.XClass clazzToProcess,
                                    org.hibernate.annotations.common.reflection.XProperty property,
                                    PropertyHolder parentPropertyHolder,
                                    Mappings mappings)

Method Detail

### getClassName

    public String getClassName()

### getEntityOwnerClassName

    public String getEntityOwnerClassName()

### getTable

    public Table getTable()

### addProperty

    public void addProperty(Property prop,
                            org.hibernate.annotations.common.reflection.XClass declaringClass)

### getIdentifier

    public KeyValue getIdentifier()

### isOrWithinEmbeddedId

    public boolean isOrWithinEmbeddedId()

  Description copied from interface: `PropertyHolder`
  Return true if this component is or is embedded in a @EmbeddedId

### getPersistentClass

    public PersistentClass getPersistentClass()

### isComponent

    public boolean isComponent()

### isEntity

    public boolean isEntity()

### getEntityName

    public String getEntityName()

### addProperty

    public void addProperty(Property prop,
                            Ejb3Column[] columns,
                            org.hibernate.annotations.common.reflection.XClass declaringClass)

### addJoin

    public Join addJoin(JoinTable joinTableAnn,
                        boolean noDelayInPkColumnCreation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.